Bug 127096 - XKB error - remote connection from XFree4.3
XKB error - remote connection from XFree4.3
Status: CLOSED DUPLICATE of bug 120858
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-01 16:41 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:04:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-07-01 16:41:54 EDT
Description of problem:

Connection from XFree86 (FC1) to xorg-x11 (FC2) results in a Keyboard
error.

This effects X terminals (ltsp etc K12ltsp?) not based on xorg.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. connect to remote X server
2. login
3. error messages
  
Actual results:

XKB error

Expected results:

No error

--


Additional info:
Comment 1 Mike A. Harris 2004-07-02 05:12:37 EDT
This report lacks sufficient information to investigate.  Please
supply more detailed information.
Comment 2 Need Real Name 2004-07-02 16:56:40 EDT
When connecting and logging in from  fc1 to a fc2 machine i get the
error below

Also found the below thread - hopefully more useful:
http://sourceforge.net/forum/forum.php?thread_id=1093098&forum_id=149731

--

Error message:

Error activating XKB configuration.
Probably internal X server problem.

X server version data:
The XFree86 Project, Inc
40300000
You are using XFree 4.3.0.
There are known problems with complex XKB configurations.
Try using simpler configuration or a newer version of the XFree software.
If you report this situation as a bug, please include:
- The result of xprop -root | grep XKB
- The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb


--------

[test@grover test]$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xfree86", "pc105", "gb", "", ""
_XKB_RULES_NAMES(STRING) = "xfree86", "pc105", "gb", "", ""

---

[test@grover test]$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb
 layouts = [gb]
 model = pc105
 overrideSettings = false
 options = []
Comment 3 Mike A. Harris 2004-07-02 18:35:06 EDT
Ok, thanks for the additional info.  This problem is actually not
an X.Org bug, but is rather a misconfiguration problem.  The X
server config file is misconfigured to tell the X server to use
the "xfree86" XKB file, which does not exist in X.Org, just
as the "xorg" XKB file does not exist in XFree86.

There are a few applications out there as well, which hard code
"xfree86" as the XKB rules file.  Such applications are hard
coded to only ever work with XFree86, and the only way to resolve
the problem is to fix the applications to not hard code the XKB
rules file in that manner.

In Fedora Core 2, we have fixed all XKB aware applications that ship
in the OS to dynamically query the X server to find out what the
xkbrules file is being used.  With a properly configured X server,
it will use the built in default, which is "xorg", and applications
that are not broken, will work properly.  If however the X server
is misconfigured to hard code an Xkbrules file override (which was
how the Red Hat configuration defaulted in previous OS releases),
then the X server ends up being told to use the xfree86 XKBrules
file, which doesn't exist in X.Org, and Xkb wont function correctly.

The proper solution, is to ensure there is no XkbRules option in
the X server config file. If such option does exist in the config
file, you can either remove it, or to change it to "xorg", and
the X server will properly use the "xorg" XKBrules, and will report
this rules file to all applications that ask.

Once this configuration change is performed, all non-broken xkb
apps will work correctly.  We are releasing an xorg-x11 update
soon, which will automatically fix the X server config file during
upgrade, to ensure this bad option is not present in the config
file, and also to ensure the X server config file is named
"xorg.conf".

After upgrading to the new packages, or after reconfiguring the
X server by hand to not list the XkbRules file option, if this
problem continues to persist, then it is not a bug in the X server,
but rather a bug in the xkb using applications being used on the
other machines, which are incorrectly hard coding the name of the
xkbrules file to "xfree86".  In such case, there are several
workarounds possible:

1) Ensure that all machines are running the same release of the
operating system.  Recommendation is to upgrade the machines to
Fedora Core 2, as Fedora Core 1 goes end of life very soon.  Once
the machines are upgraded to FC2, and the config file fixed as
noted above, everything should just work.  Note however, that
there are still 3rd party software out there which uses xkb,
and may not have been patched to query the X server properly. The
software included with the OS has been fixed however.

2) An alternative workaround which works for some people, but is
not recommended, is to make symlinks from the xorg xkbrules files
to the xfree86, thus faking the files.  That may work for some
people, but isn't an officially supported solution, and it will
break again in a future operating system release once the xkbrules
file changes names again.  Fedora Core 3 or 4 will be shipping
XKB data files as a separate package from the xkbdesc project
on freedesktop.org, the name of the default rules file is "base"
in that package.  It is for this reason that we highly recommend
people to upgrade to the latest OS release, and to ensure all
of their xkb aware software is updated to properly query the
X server for this type of information.  XFree86 used to be the
only real OSS X solution in town, but now there are 2 equally
viable solutions, and there are at least 2 or 3 other X
implementations being hacked on out there also.  This will make
broken applications stand out, as they were hard coded to only
ever work with XFree86.  When people use them with other X servers,
they will break.

Hope this helps you get things working.
Take care.

Marking bug as duplicate of master xkbrules bug:


*** This bug has been marked as a duplicate of 120858 ***
Comment 4 Red Hat Bugzilla 2006-02-21 14:04:19 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.